function highlightPack(clickedElement, packName) {
	if (clickedElement.classList.contains('active')) {
		clickedElement.classList.remove('active')
		editingPack = ''
	} else {
		document
			.querySelectorAll('.pack-title')
			.forEach((title) => title.classList.remove('active'))
		clickedElement.classList.add('active')
		editingPack = packName
	}
}

function hidePackEditor() {
	const expandedSection = document.getElementById('expanded-section')
	expandedSection.style.display = 'none'
	expandedSection.innerHTML = ''
}

function showPackEditor(packName, htmlContent) {
	const expandedSection = document.getElementById('expanded-section')
	expandedSection.style.display = 'block'
	expandedSection.innerHTML = htmlContent
	document.getElementById('pack-title').innerText = `${packName}`
}

function togglePackEditor(clickedElement, packName) {
	if (!clickedElement.classList.contains('active')) {
		hidePackEditor()
	} else {
		fetchPackEditor(packName)
	}
}
